# -*- coding: utf-8 -*-

__author__ = 'John Need'
__version__ = '0.1'

from pyklout import Klout
from pyklout import KloutError

class User(object):
    KloutID = 0
    TwitterID = ""
    Name = ""
    KloutScore = 0
    DayDelta = 0
    WeekDelta = 0
    MonthDelta = 0
    KloutAPI = Klout("cdk665pw6ry8rjsa7j4gfgh7")
    ErrorMessage = "Unable to find user"
    IsLoaded = False
    def __init__(self, tid):
        try:
            self.TwitterID = tid
            self.KloutID = self.KloutAPI.identity(tid, 'twitter')['id']
            score = self.KloutAPI.score(self.KloutID)
            self.KloutScore = int(round(score['score'],0))
            self.HasDelta = False
            if 'scoreDelta' in score:
                self.DayDelta = int(round(score['scoreDelta']['dayChange'],0))
                self.WeekDelta = int(round(score['scoreDelta']['weekChange'],0))
                self.MonthDelta =  int(round(score['scoreDelta']['monthChange'],0))
                self.HasDelta = True
            self.Influences = influences = self.KloutAPI.influences(self.KloutID)
            self.InfluendedBy = influencees = self.KloutAPI.influences(self.KloutID)
            self.IsLoaded = True
        except KloutError as kerr:
            self.ErrorMessage = "Unable to find user " + tid
            self.IsLoaded = False
